void printc(char val);
void prints(short val);
void printi(int val);

union sample {
  char c;
  short s;
  int i;
};

int func(union sample s)
{
  printc(s.c);
  prints(s.s);
  printi(s.i);

  return 0;
}

int main()
{
  union sample s;

  printi(sizeof(union sample));
  printi(sizeof(s));

  s.c = 1;
  s.s = 2;
  s.i = 3;

  printc(s.c);
  prints(s.s);
  printi(s.i);

  func(s);

  return 0;
}
